> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xenovia.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Org Key Route



## OpenAPI

````yaml https://cp.xenovia.io/openapi.json get /api/v1/orgs/{org_id}/keys
openapi: 3.1.0
info:
  title: controlplane
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/orgs/{org_id}/keys:
    get:
      tags:
        - api-keys
      summary: List Org Key Route
      operationId: list_org_key_route_api_v1_orgs__org_id__keys_get
      parameters:
        - name: org_id
          in: path
          required: true
          schema:
            type: string
            title: Org Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 20
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Offset
        - name: Authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_OrgKeyRead_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PaginatedResponse_OrgKeyRead_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/OrgKeyRead'
          type: array
          title: Items
        total:
          type: integer
          title: Total
        limit:
          type: integer
          title: Limit
        offset:
          type: integer
          title: Offset
      type: object
      required:
        - items
        - total
        - limit
        - offset
      title: PaginatedResponse[OrgKeyRead]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    OrgKeyRead:
      properties:
        key:
          type: string
          title: Key
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        org_id:
          type: string
          format: uuid
          title: Org Id
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - key
        - name
        - org_id
        - created_at
      title: OrgKeyRead
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````